Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.bridge
Class JDBCCMRFieldBridge2.CollectionValuedFieldState

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc2.bridge.JDBCCMRFieldBridge2.CollectionValuedFieldState

All Implemented Interfaces:
  Cache.CacheLoader, JDBCCMRFieldBridge2.FieldState

Enclosing class:
  JDBCCMRFieldBridge2

public class JDBCCMRFieldBridge2.CollectionValuedFieldState
extends Object
implements JDBCCMRFieldBridge2.FieldState

Field Summary

Fields inherited from interface org.jboss.ejb.plugins.cmp.jdbc2.bridge.JDBCCMRFieldBridge2.FieldState
`NULL_VALUE`

Constructor Summary
`JDBCCMRFieldBridge2.CollectionValuedFieldState()`

Method Summary
`void` | `addLoadedPk(Object pk)`
`boolean` | `addRelatedId(EntityEnterpriseContext ctx, Object relatedId)`
`void` | `cacheValue(EntityEnterpriseContext ctx)`
`void` | `cascadeDelete(EntityEnterpriseContext ctx)`
`void` | `destroyExistingRelationships(EntityEnterpriseContext ctx)`
`Object` | `getCachedValue()`
`Object` | `getValue(EntityEnterpriseContext ctx)`
`void` | `init()`
`boolean` | `isModified()`
`Object` | `loadFromCache(Object value)`
`boolean` | `removeRelatedId(EntityEnterpriseContext ctx, Object relatedId)`
`void` | `setValue(EntityEnterpriseContext ctx, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCCMRFieldBridge2.CollectionValuedFieldState

    public JDBCCMRFieldBridge2.CollectionValuedFieldState()

Method Detail

### init

    public void init()

  Specified by:
    `init` in interface `JDBCCMRFieldBridge2.FieldState`

### getValue

    public Object getValue(EntityEnterpriseContext ctx)

  Specified by:
    `getValue` in interface `JDBCCMRFieldBridge2.FieldState`

### setValue

    public void setValue(EntityEnterpriseContext ctx,
                         Object value)

  Specified by:
    `setValue` in interface `JDBCCMRFieldBridge2.FieldState`

### cascadeDelete

    public void cascadeDelete(EntityEnterpriseContext ctx)
                       throws javax.ejb.RemoveException

  Specified by:
    `cascadeDelete` in interface `JDBCCMRFieldBridge2.FieldState`
  Throws:
    `javax.ejb.RemoveException`

### destroyExistingRelationships

    public void destroyExistingRelationships(EntityEnterpriseContext ctx)

  Specified by:
    `destroyExistingRelationships` in interface `JDBCCMRFieldBridge2.FieldState`

### removeRelatedId

    public boolean removeRelatedId(EntityEnterpriseContext ctx,
                                   Object relatedId)

  Specified by:
    `removeRelatedId` in interface `JDBCCMRFieldBridge2.FieldState`

### addRelatedId

    public boolean addRelatedId(EntityEnterpriseContext ctx,
                                Object relatedId)

  Specified by:
    `addRelatedId` in interface `JDBCCMRFieldBridge2.FieldState`

### addLoadedPk

    public void addLoadedPk(Object pk)

  Specified by:
    `addLoadedPk` in interface `JDBCCMRFieldBridge2.FieldState`

### loadFromCache

    public Object loadFromCache(Object value)

  Specified by:
    `loadFromCache` in interface `Cache.CacheLoader`

### getCachedValue

    public Object getCachedValue()

  Specified by:
    `getCachedValue` in interface `Cache.CacheLoader`

### cacheValue

    public void cacheValue(EntityEnterpriseContext ctx)

  Specified by:
    `cacheValue` in interface `JDBCCMRFieldBridge2.FieldState`

### isModified

    public boolean isModified()

  Specified by:
    `isModified` in interface `JDBCCMRFieldBridge2.FieldState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.